# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "typhoeus"
  s.version = "0.7.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 1.3.6") if s.respond_to? :required_rubygems_version=
  s.authors = ["David Balatero", "Paul Dix", "Hans Hasselberg"]
  s.date = "2015-03-31"
  s.description = "Like a modern code version of the mythical beast with 100 serpent heads, Typhoeus runs HTTP requests in parallel while cleanly encapsulating handling logic."
  s.email = ["hans.hasselberg@gmail.com"]
  s.files = ["debian", "debian/ruby-typhoeus.docs", "debian/watch", "debian/ruby-typhoeus.debhelper.log", "debian/changelog", "debian/compat", "debian/ruby-tests.rake", "debian/copyright", "debian/patches", "debian/patches/drop-git-ls-in-gemspec.patch", "debian/patches/remove-rubygems-bundler.patch", "debian/patches/adapt-for-rspec2.x.patch", "debian/patches/series", "debian/control", "debian/rules", "debian/ruby-typhoeus", "debian/source", "debian/source/format", "typhoeus.gemspec", "README.md", "Gemfile", "lib", "lib/typhoeus", "lib/typhoeus/request", "lib/typhoeus/request/operations.rb", "lib/typhoeus/request/before.rb", "lib/typhoeus/request/callbacks.rb", "lib/typhoeus/request/block_connection.rb", "lib/typhoeus/request/stubbable.rb", "lib/typhoeus/request/memoizable.rb", "lib/typhoeus/request/marshal.rb", "lib/typhoeus/request/cacheable.rb", "lib/typhoeus/request/responseable.rb", "lib/typhoeus/request/actions.rb", "lib/typhoeus/request/streamable.rb", "lib/typhoeus/config.rb", "lib/typhoeus/hydra.rb", "lib/typhoeus/adapters", "lib/typhoeus/adapters/faraday.rb", "lib/typhoeus/version.rb", "lib/typhoeus/hydra", "lib/typhoeus/hydra/queueable.rb", "lib/typhoeus/hydra/before.rb", "lib/typhoeus/hydra/block_connection.rb", "lib/typhoeus/hydra/runnable.rb", "lib/typhoeus/hydra/stubbable.rb", "lib/typhoeus/hydra/memoizable.rb", "lib/typhoeus/hydra/cacheable.rb", "lib/typhoeus/hydra/addable.rb", "lib/typhoeus/expectation.rb", "lib/typhoeus/errors", "lib/typhoeus/errors/no_stub.rb", "lib/typhoeus/errors/typhoeus_error.rb", "lib/typhoeus/pool.rb", "lib/typhoeus/response.rb", "lib/typhoeus/request.rb", "lib/typhoeus/easy_factory.rb", "lib/typhoeus/response", "lib/typhoeus/response/header.rb", "lib/typhoeus/response/informations.rb", "lib/typhoeus/response/cacheable.rb", "lib/typhoeus/response/status.rb", "lib/typhoeus/railtie.rb", "lib/typhoeus/errors.rb", "lib/typhoeus.rb", "lib/rack", "lib/rack/typhoeus", "lib/rack/typhoeus/middleware", "lib/rack/typhoeus/middleware/params_decoder", "lib/rack/typhoeus/middleware/params_decoder/helper.rb", "lib/rack/typhoeus/middleware/params_decoder.rb", "lib/rack/typhoeus.rb", "LICENSE", "UPGRADE.md", "perf", "perf/vs_nethttp.rb", "perf/profile.rb", "spec", "spec/spec_helper.rb", "spec/typhoeus", "spec/typhoeus/request", "spec/typhoeus/request/before_spec.rb", "spec/typhoeus/request/cacheable_spec.rb", "spec/typhoeus/request/actions_spec.rb", "spec/typhoeus/request/operations_spec.rb", "spec/typhoeus/request/callbacks_spec.rb", "spec/typhoeus/request/memoizable_spec.rb", "spec/typhoeus/request/stubbable_spec.rb", "spec/typhoeus/request/marshal_spec.rb", "spec/typhoeus/request/responseable_spec.rb", "spec/typhoeus/request/block_connection_spec.rb", "spec/typhoeus/easy_factory_spec.rb", "spec/typhoeus/response_spec.rb", "spec/typhoeus/request_spec.rb", "spec/typhoeus/config_spec.rb", "spec/typhoeus/adapters", "spec/typhoeus/adapters/faraday_spec.rb", "spec/typhoeus/hydra", "spec/typhoeus/hydra/addable_spec.rb", "spec/typhoeus/hydra/runnable_spec.rb", "spec/typhoeus/hydra/before_spec.rb", "spec/typhoeus/hydra/cacheable_spec.rb", "spec/typhoeus/hydra/memoizable_spec.rb", "spec/typhoeus/hydra/stubbable_spec.rb", "spec/typhoeus/hydra/queueable_spec.rb", "spec/typhoeus/hydra/block_connection_spec.rb", "spec/typhoeus/hydra_spec.rb", "spec/typhoeus/errors", "spec/typhoeus/errors/no_stub_spec.rb", "spec/typhoeus/pool_spec.rb", "spec/typhoeus/expectation_spec.rb", "spec/typhoeus/response", "spec/typhoeus/response/informations_spec.rb", "spec/typhoeus/response/status_spec.rb", "spec/typhoeus/response/header_spec.rb", "spec/typhoeus_spec.rb", "spec/support", "spec/support/localhost_server.rb", "spec/support/memory_cache.rb", "spec/support/server.rb", "spec/rack", "spec/rack/typhoeus", "spec/rack/typhoeus/middleware", "spec/rack/typhoeus/middleware/params_decoder", "spec/rack/typhoeus/middleware/params_decoder/helper_spec.rb", "spec/rack/typhoeus/middleware/params_decoder_spec.rb", "CONTRIBUTING.md", "Rakefile", "CHANGELOG.md", "Guardfile"]
  s.homepage = "https://github.com/typhoeus/typhoeus"
  s.licenses = ["MIT"]
  s.require_paths = ["lib"]
  s.rubygems_version = "1.8.23"
  s.summary = "Parallel HTTP library on top of libcurl multi."
  s.test_files = ["spec/spec_helper.rb", "spec/typhoeus", "spec/typhoeus/request", "spec/typhoeus/request/before_spec.rb", "spec/typhoeus/request/cacheable_spec.rb", "spec/typhoeus/request/actions_spec.rb", "spec/typhoeus/request/operations_spec.rb", "spec/typhoeus/request/callbacks_spec.rb", "spec/typhoeus/request/memoizable_spec.rb", "spec/typhoeus/request/stubbable_spec.rb", "spec/typhoeus/request/marshal_spec.rb", "spec/typhoeus/request/responseable_spec.rb", "spec/typhoeus/request/block_connection_spec.rb", "spec/typhoeus/easy_factory_spec.rb", "spec/typhoeus/response_spec.rb", "spec/typhoeus/request_spec.rb", "spec/typhoeus/config_spec.rb", "spec/typhoeus/adapters", "spec/typhoeus/adapters/faraday_spec.rb", "spec/typhoeus/hydra", "spec/typhoeus/hydra/addable_spec.rb", "spec/typhoeus/hydra/runnable_spec.rb", "spec/typhoeus/hydra/before_spec.rb", "spec/typhoeus/hydra/cacheable_spec.rb", "spec/typhoeus/hydra/memoizable_spec.rb", "spec/typhoeus/hydra/stubbable_spec.rb", "spec/typhoeus/hydra/queueable_spec.rb", "spec/typhoeus/hydra/block_connection_spec.rb", "spec/typhoeus/hydra_spec.rb", "spec/typhoeus/errors", "spec/typhoeus/errors/no_stub_spec.rb", "spec/typhoeus/pool_spec.rb", "spec/typhoeus/expectation_spec.rb", "spec/typhoeus/response", "spec/typhoeus/response/informations_spec.rb", "spec/typhoeus/response/status_spec.rb", "spec/typhoeus/response/header_spec.rb", "spec/typhoeus_spec.rb", "spec/support", "spec/support/localhost_server.rb", "spec/support/memory_cache.rb", "spec/support/server.rb", "spec/rack", "spec/rack/typhoeus", "spec/rack/typhoeus/middleware", "spec/rack/typhoeus/middleware/params_decoder", "spec/rack/typhoeus/middleware/params_decoder/helper_spec.rb", "spec/rack/typhoeus/middleware/params_decoder_spec.rb"]

  if s.respond_to? :specification_version then
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<ethon>, [">= 0.7.1"])
    else
      s.add_dependency(%q<ethon>, [">= 0.7.1"])
    end
  else
    s.add_dependency(%q<ethon>, [">= 0.7.1"])
  end
end
